ProgramFile
! cRobot 'CLOCK'
! below section is called once at t=0
! add Initialization commands here
machine_done=0
EndInit

! below section is called at t>0
! add new ERPL / ERCL commands here
! Set Default SPEEDs and ACCELs
SPEED_PTP       20.0000 0.0
ACCEL_PTP       40.0000
ACCEL_PTP_END    40.0000
SPEED_CP         0.1000 0.0
ACCEL_CP         0.2000
ACCEL_CP_END     0.2000
SPEED_ORI       20.0000 0.0
ACCEL_ORI       40.0000
ACCEL_ORI_END    40.0000
! ---------

ERC interpolation OFF
Home 1
ERC interpolation ON
!ERC REALTIME_SIM ON

wp_type=1

!----------------------------------------
! wait until door is closed
!----------------------------------------

WAIT_UNTIL_SIGNAL_SET run_machine

IF eq(wp_type,1)
  ERC COLOR ROBOT CLOCK_00  RED
  xx=1; yy=21
  WHILE lt(xx,yy)
    PTP_AX_REL       -6.0000
    wait 1
    xx = xx+1
  ENDWHILE
  ERC COLOR ROBOT CLOCK_00  GREEN

  xx=1; yy=11
  WHILE lt(xx,yy)
    PTP_AX_REL       -6.0000
    wait 1
    xx = xx+1
  ENDWHILE

ELSEIF eq(wp_type,2)
  ERC COLOR ROBOT CLOCK_00  RED
  xx=1; yy=26
  WHILE lt(xx,yy)
    PTP_AX_REL       -6.0000
    wait 1
    xx = xx+1
  ENDWHILE
  ERC COLOR ROBOT CLOCK_00  GREEN

  xx=1; yy=11
  WHILE lt(xx,yy)
    PTP_AX_REL       -6.0000
    wait 1
    xx = xx+1
  ENDWHILE
ENDIF

ERC COLOR ROBOT CLOCK_00  WHITE
ERC REALTIME_SIM OFF

!----------------------------------------
! tell that "machine is done"
!----------------------------------------
machine_done=1

ERC interpolation OFF
Home 1
ERC interpolation ON
!ERC REALTIME_SIM ON

call my_fct_name()

EndProgramFile

fct my_fct_name()
endfct


! END PRGFILE  1248281988
