ProgramFile

ERC VIEW HITHER     0.2000
ERC VIEW YONDER    20.0000
agv_out = 0
EndInit

! cRobot 'AGV_01'
! add new ERPL / ERCL commands here
! Set Default SPEEDs and ACCELs
SPEED_PTP       100.0000 0.0
SPEED_CP         1.5000 0.0
SPEED_ORI       100.0000 0.0
! ---------

ERC SET_PARAMETER $NAME_1 AGV_01

call move_agv_1()

!------------------------------------------
! tell Robot that AGV is in position
!------------------------------------------
agv_out = 1

!------------------------------------------
! wait until work is done
!------------------------------------------
Wait_Until_Signal_Set rob01_out
Wait_Until_Signal_Set rob02_out

call move_agv_2()

EndProgramFile

!-------------------------------
!AGV moves to the working position
!-------------------------------
fct move_agv_1()
! Set Default SPEEDs and ACCELs
ERC CURRENT_DEVICE SET $NAME_1 
!SPEED_CP  0.50  0.50
!SPEED_ORI  50  50
PTP AGV_3
!SPEED_CP_END 0.0
ERC CURRENT_DEVICE UNSET
endfct

!-------------------------------
!AGV moves away
!-------------------------------
fct move_agv_2()
! Set Default SPEEDs and ACCELs
ERC CURRENT_DEVICE SET $NAME_1 
!SPEED_CP  1.0  1.0
!SPEED_ORI  50  50
ERC NO_DECEL ON
PTP AGV_4
CIRC AGV_6 AGV_5
PTP AGV_7
!SPEED_CP_END 0.0
CIRC AGV_1 AGV_8
ERC CURRENT_DEVICE UNSET
endfct


! END PRGFILE  3173267060
