ProgramFile

rob02_out=0
EndInit

! cRobot 'DB500_02'
! add new ERPL / ERCL commands here
! Set Default SPEEDs and ACCELs
SPEED_PTP       20.0000 0.0
ACCEL_PTP       40.0000
ACCEL_PTP_END    40.0000
SPEED_CP         0.1000 0.0
ACCEL_CP         0.2000
ACCEL_CP_END     0.2000
SPEED_ORI       20.0000 0.0
ACCEL_ORI       40.0000
ACCEL_ORI_END    40.0000
! ---------

ERC SET_PARAMETER $NAME_1 DB500_02
ERC SET_PARAMETER $NAME_2 RESPOT_02

ERC COLLISION ON
ERC RED_BLUE_COLLISION OFF

!------------------------------------------
! wait for signal that AGV01 is in position
!------------------------------------------
Wait_Until_Signal_Set agv_out

call rob_2_pick_wg()
PTP P_R1_5_a
PTP P_R1_5
call do_weld_1()
PTP P_R1_6
call do_weld_1()
PTP P_R1_7
call do_weld_1()
PTP P_R1_8
call do_weld_1()
call rob_2_drop_wg()

!------------------------------------------
! tell AGV that work is done
!------------------------------------------
rob02_out=1

Home 1

EndProgramFile

!-------------------------------
!robot 2 picks the weldgun
!-------------------------------
fct rob_2_pick_wg()
TOOL             0.0000     0.0000     0.0000     0.0000     0.0000     0.0000
PTP WGP_B_1
LIN WGP_B_2
ERC GRAB ROBOT $NAME_2
LIN WGP_B_1
TOOL DEVICE $NAME_2
endfct

!-------------------------------
!weld with robot 
!-------------------------------
fct do_weld_1()
ERC CURRENT_DEVICE SET $NAME_2
SPEED_PTP       20.0000 0.0
ACCEL_PTP       40.0000
PTP_AX          0.0000
ERC RENDER ROBOT SPARK_1  FLAT
WAIT             1.5000
ERC RENDER ROBOT SPARK_1  INVISIBLE
PTP_AX          5.0000
ERC CURRENT_DEVICE UNSET
endfct

!-------------------------------
!robot 2 drops the weldgun
!-------------------------------
fct rob_2_drop_wg() 
TOOL             0.0000    0.0000     0.0000     0.0000     0.0000     0.0000
PTP WGP_B_1
LIN WGP_B_2
ERC RELEASE ROBOT $NAME_2
LIN WGP_B_1
endfct


! END PRGFILE  1054114964
