ProgramFile
! cRobot 'T1-LL'
! Below section is called once at t=0
! Add Initialization commands here
!
GUN_ON_LEFT=0
R02_DOUT=0
!ERC ALL_COORSYS OFF
!ERC DISPLAY_TOOLS ON
!ERC TAG_COORSYS ON
!ERC TCP_COORSYS ON
!ERC CAMERA OFF
speed_ax7_left = 500 * mm2m
speed_cp_left = 510 * mm2m
! 
EndInit
! 
! Below section is called at t>0
! Add new ERPL / ERCL commands here
! Set Default SPEEDs and ACCELs
SPEED_PTP_OV   100.0000
SPEED_CP_OV    80.0000
SPEED_ORI_OV   80.0000
ACCEL_PTP_OV   100.0000
ACCEL_CP_OV    100.0000
ACCEL_ORI_OV   100.0000
OV_PRO         100.0000
ERC NO_DECEL OFF
ZONE             0.0000
! ---------
! 
ERC TRACK OFF
GUN_ON_LEFT=0
 CALL GUN_ON_OFF()
Home 1

WHILE 1

 WAIT_UNTIL_SIGNAL_SET CONV_LONG_DOUT
! CONV_LONG_DOUT=0
 WAIT             2.0000

 ERC TRACK ON
 ERC TRACK_TYPE LINE 2.0
 ERC COLOR TRACK  INVISIBLE

 PTP F_LEFT.T_1

 ERC COLOR TRACK  CYAN
! ERC COLOR TRACK  MAGENTA
! ERC COLOR TRACK  2141913600
GUN_ON_LEFT=1
 CALL GUN_ON_OFF()

 LEADING_POSITION ON
! ext. Achse max speed 500mm/s
 SPEED_PTP_AX   @ @ @  @ @ @     speed_ax7_left   @ @ @
 SPEED_CP        speed_cp_left
 ERC NO_DECEL ON
 ALONG F_LEFT T_2 T_17
 ERC NO_DECEL OFF

 GUN_ON_LEFT=0
 CALL GUN_ON_OFF()
 ERC COLOR TRACK  INVISIBLE

 PTP T_18
 PTP T_19
 ERC TRACK OFF
 ERC CAMERA OFF
 WAIT             2.0000

 R02_DOUT=1

 Home 1

ENDWHILE

EndProgramFile

FCT GUN_ON_OFF()
ERC CURRENT_DEVICE SET SINGLE_PAINT_GUN-LEFT
IF GUN_ON_LEFT
ERC RENDER ROBOT SPRAY_CONE_UBS_20  SMOOTH
ELSE
ERC RENDER ROBOT SPRAY_CONE_UBS_20  INVISIBLE
ENDIF

ERC CURRENT_DEVICE UNSET
ENDFCT


! END PRGFILE  1175575096
