ProgramFile
 
rob01_out=0
EndInit

! cRobot 'DB500_01'
! add new ERPL / ERCL commands here
! Set Default SPEEDs and ACCELs
SPEED_PTP       20.0000 0.0
ACCEL_PTP       40.0000
ACCEL_PTP_END    40.0000
SPEED_CP         0.1000 0.0
ACCEL_CP         0.2000
ACCEL_CP_END     0.2000
SPEED_ORI       20.0000 0.0
ACCEL_ORI       40.0000
ACCEL_ORI_END    40.0000
! ---------

ERC SET_PARAMETER $NAME_1 DB500_01
ERC SET_PARAMETER $NAME_2 RESPOT_01

ERC COLLISION ON
ERC RED_BLUE_COLLISION OFF

!------------------------------------------
! wait for signal that AGV01 is in position
!------------------------------------------
Wait_Until_Signal_Set agv_out

call rob_1_pick_wg()
PTP P_R1_1_a
PTP P_R1_1
call do_weld_1()
PTP P_R1_2
call do_weld_1()
PTP P_R1_3
call do_weld_1()
PTP P_R1_4
call do_weld_1()
call rob_1_drop_wg()

!------------------------------------------
! tell AGV that work is done
!------------------------------------------
rob01_out=1

Home 1

EndProgramFile

!-------------------------------
!robot 1 picks the weldgun
!-------------------------------
fct rob_1_pick_wg()
TOOL             0.0000     0.0000     0.0000     0.0000     0.0000     0.0000
PTP WGP_A_1
LIN WGP_A_2
ERC GRAB ROBOT $NAME_2
LIN WGP_A_1
TOOL DEVICE $NAME_2
endfct

!-------------------------------
!weld with robot 1 
!-------------------------------
fct do_weld_1()
ERC CURRENT_DEVICE SET $NAME_2
SPEED_PTP       20.0000 0.0
ACCEL_PTP       40.0000
PTP_AX          0.0000
ERC RENDER ROBOT SPARK_1  FLAT
WAIT             1.5000
ERC RENDER ROBOT SPARK_1  INVISIBLE
PTP_AX          5.0000
ERC CURRENT_DEVICE UNSET
endfct

!-------------------------------
!robot 1 drops the weldgun
!-------------------------------
fct rob_1_drop_wg()
TOOL             0.0000    0.0000     0.0000     0.0000     0.0000     0.0000
PTP WGP_A_1
LIN WGP_A_2
ERC RELEASE ROBOT $NAME_2
LIN WGP_A_1
endfct


! END PRGFILE  3959507144
