ProgramFile
! cRobot 'RESPOT'
! Below section is called once at t=0
! Add Initialization commands here
! 
GUN_02_DOUT=0

EndInit
! 
! Below section is called at t>0
! Add new ERPL / ERCL commands here
! Set Default SPEEDs and ACCELs
SPEED_PTP_OV   50.0000
SPEED_CP_OV    80.0000
SPEED_ORI_OV   80.0000
ACCEL_PTP_OV   100.0000
ACCEL_CP_OV    100.0000
ACCEL_ORI_OV   100.0000
OV_PRO         100.0000
ERC NO_DECEL OFF
ZONE             0.0000
! ---------
! 
! first time, make sure that Robot is not active
WAIT_UNTIL_SIGNAL_SET R02_DOUT

WHILE R02_RUNNING

 PTP_AX           0.000
 WAIT             0.5000
 PTP_AX          10.0000

 call do_rob_io()

ENDWHILE

! 
EndProgramFile

Fct do_rob_io()
!------------------------------------------
! tell Rob1 that Gun's job is done
!------------------------------------------
GUN_02_DOUT = 1
!------------------------------------------
! wait for signal that Rob got the done message
!------------------------------------------
WAIT_UNTIL_SIGNAL_UNSET R02_DOUT
GUN_02_DOUT = 0
!------------------------------------------
! wait for signal that Rob is in position
!------------------------------------------
WAIT_UNTIL_SIGNAL_SET R02_DOUT
EndFct


! END PRGFILE  3617985544
